///地址数据 配置null 的字段
class Address {
  static String iosId = '';
  static String packageName = '';
  static String host = '';
  static String channel = 'default';
  static String appTou = '';
  static String rechargeTou = '';
  static String language = 'en';

  //接口返回判断
  static bool serverGui = true; //服务器是否正式模式，默认不是
  static bool gui = false; //是否正式模式，默认不是
  static String baseToken = '';

  //自动管理
  static String? appId;

  ///初始化数据
  static initConfig() {
    return '$host/v2/auth/getInitConfig';
  }

  ///初始化数据-新礼物列表
  static initGift() {
    return '$host/v1/auth/newGiftList';
  }

  ///登录-Apple
  static appleSign() {
    return '$host/v1/auth/appleSign';
  }

  ///登录-google
  static googleSign() {
    return '$host/v1/auth/thirdLogin';
  }

  ///登录-游客
  static guestSign() {
    return '$host/v1/auth/touristLogin';
  }

  ///注册
  static signUp() {
    return '$host/v2/users';
  }

  ///隐身登录
  static hideLogin() {
    return '$host/v2/auth/hideLogin';
  }

  ///完善资料
  static regUserInfo() {
    return '$host/v1/users/postRegUserInfo';
  }

  ///上传头像图片
  static upLoadHeadImage() {
    return '$host/v1/pic/uploadHeadImage';
  }

  ///上传图片
  static upLoadImage() {
    return '$host/v1/pic';
  }

  ///上传日志
  static upLoadLog() {
    return '$host/v1/appApi/uploadCallLog';
  }

  ///检查更新
  static checkUpdate() {
    return '$host/v1/auth/checkUpdate';
  }

  ///关注相关列表
  static careList() {
    return '$host/v1/anchor/careList';
  }

  ///黑名单列表
  static blockList() {
    return '$host/v1/report/blockList';
  }

  ///移除黑名单列表
  static removeBlock() {
    return '$host/v1/report/removeBlock';
  }

  ///保存用户信息
  static saveUserInfo() {
    return '$host/v2/user/change';
  }

  ///获取视频播放地址
  static videoInfo() {
    return '$host/v1/video/getPlayInfo';
  }

  ///zb查看上报
  static anchorSeeInfo() {
    return '$host/v1/anchor/clickAnchorInfo';
  }

  ///zb关注
  static anchorCare() {
    return '$host/v1/anchor/care';
  }

  ///zb举报
  static anchorReport() {
    return '$host/v1/report/add';
  }

  ///检测原密码
  static checkPwd() {
    return '$host/v1/users/checkPwd';
  }

  ///修改密码
  static updateUserPassword() {
    return '$host/v1/users/updateUserPassword';
  }

  ///发送验证码
  static sendVerifyCode() {
    return '$host/v1/auth/sendVerifyCode';
  }

  ///验证验证码
  static verifyCodeCheck() {
    return '$host/v1/auth/verifyCodeCheck';
  }

  ///忘记密码
  static forgetPassword() {
    return '$host/v1/auth/forgetPassword';
  }

  ///送礼物
  static sendGift() {
    return '$host/v1/gift';
  }

  ///送礼物-花钱
  static sendGiftTemp() {
    return '$host/v1/gift/buy';
  }

  ///删除账号
  static delUser() {
    return '$host/v1/user/delUser';
  }

  ///反馈
  static feedBack() {
    return '$host/v1/feedBack';
  }

  ///pop列表
  static popupList() {
    return '$host/v2/popup/getPopup';
  }

  ///V2

  ///发送消息
  static sendMessage() {
    return '$host/v2/call/sendMessage';
  }

  ///前置检测
  static callBefore() {
    return '$host/v2/call/callBefore';
  }

  ///通话评价
  static callComment() {
    return '$host/v2/call/callingComments';
  }

  ///获取自己用户信息
  static getUserInfo() {
    return '$host/v2/users/userInfo';
  }

  ///获取其他用户信息
  static getOtherUserInfo() {
    return '$host/v2/user/info';
  }

  ///zb详细页
  static anchorInfo() {
    return '$host/v2/anchor/info';
  }

  ///zb详细页v3
  static anchorInfoV3() {
    return '$host/v3/user/anchor/infos';
  }

  ///zb详细页小视频
  static videoListInfo() {
    return '$host/v1/svideo/own_list';
  }

  ///zb详细页小视频-购买
  static buyVideo() {
    return '$host/v1/svideo/buyVideo';
  }

  ///zb详细页小视频-喜欢
  static favVideo() {
    return '$host/v1/svideo/favVideo';
  }

  ///zb详细页小视频-查看
  static lookVideo() {
    return '$host/v1/svideo/lookVideo';
  }

  ///获取用户信息-在线状态和名字
  static getUserOnline() {
    return '$host/v2/user/userStatus';
  }

  ///获取用户信息-在线状态和名字-批量
  static getUserOnlineList() {
    return '$host/v2/user/userStatusList';
  }

  ///ppeizb
  static matchAnchor() {
    return '$host/v2/random/getMatchAnchor';
  }

  static matchAnchorV2() {
    return '$host/v1/userMatch/matchAnchorOnly';
  }

  static matchUnLike() {
    return '$host/v1/userMatch/matchUnLike';
  }

  ///登录
  static getLogin() {
    return '$host/v2/auth/login';
  }

  ///完善资料-保存标签
  static setMatchLabel() {
    return '$host/v2/random/setMatchLabel';
  }

  ///消费历史列表
  static historyConList() {
    return '$host/v2/consumption/getConsume';
  }

  ///历史列表
  static historyCallList() {
    return '$host/v2/calls/list';
  }

  ///获取拉黑状态
  static getReportUser() {
    return '$host/v2/report/checkReportOther';
  }

  ///反馈对方不在线
  static userNotOnline() {
    return '$host/v2/call/userNotOnlineReport';
  }

  ///match列表
  static historyMatchList() {
    return '$host/v2/random/getMatchList';
  }

  ///match列表-最近
  static matchLastOne() {
    return '$host/v2/random/getMatchLastOne';
  }

  ///秀场信息
  static liveInfo() {
    return '$host/v2/showTime/getInfo';
  }

  ///秀场信息-排队
  static joinLive() {
    return '$host/v2/showTime/incomingQueue';
  }

  ///秀场信息-zb列表
  static liveAnchorList() {
    return '$host/v2/showTime/showList';
  }

  ///zb列表
  static getList() {
    return '$host/v2/user/newlist';
  }

  ///zb列表
  static getListV3() {
    return '$host/v3/user/getUserList';
  }

  ///匹配信息
  static matchInfo() {
    return '$host/v1/userMatch/matchCount';
  }

  ///签到信息
  static dailyInfo() {
    return '$host/v2/sign/getSign';
  }

  ///签到
  static checkDaily() {
    return '$host/v2/sign/signin';
  }

  ///获取服务器时间
  static timeSync() {
    return '$host/v1/init/timeSync';
  }

  ///获取vip信息
  static getPlusVip() {
    return '$host/v1/vips/myVipInfo';
  }

  ///获取vip充值列表
  static plusVipList() {
    return '$host/v1/vips/lists';
  }

  static getLeaderList() {
    return '$host/v1/anchor/toplist';
  }

  static getMyCost() {
    return '$host/v1/anchor/myCost';
  }

  static getLoverTopList() {
    return '$host/v1/anchor/loverTop';
  }

  static topicList() {
    return '$host/v2/topic/list';
  }

  static topicUse() {
    return '$host/v2/topic/use';
  }

  static helpList() {
    return '$host/v1/help/list';
  }

  static setFirebaseToken() {
    return '$host/v1/users/bandFireBaseToken';
  }

  static isLuckyOpen() {
    return '$host/v2/lottery/isLottery';
  }

  static luckyList() {
    return '$host/v2/lottery/list';
  }

  static getLucky() {
    return '$host/v2/lottery/setLottery';
  }

  static getLuckyNumber() {
    return '$host/v1/lucky/getLuckyNumber';
  }

  static getSlotRecordList() {
    return '$host/v1/lucky/getSlotRecordList';
  }

  static getWildfireToken() {
    return '$host/v1/users/getFireToken';
  }

  static getRoomList() {
    return '$host/v2/tmproom/getList';
  }

  static getRoomInfo() {
    return '$host/v2/tmproom/getRoomInfo';
  }

  static setRoomCreate() {
    return '$host/v2/tmproom/createLive';
  }

  static setRoomEdit() {
    return '$host/v2/tmproom/editLive';
  }

  static setRoomDelete() {
    return '$host/v2/tmproom/delLive';
  }

  static setRoomFollow() {
    return '$host/v2/tmproom/follow';
  }

  static getLanguagesList() {
    return '$host/v1/auth/languages';
  }

  static getAnchorVideoInfo() {
    return '$host/v3/user/anchor/get_audit_video_info';
  }

  static getRecommendAnchorList() {
    return '$host/v3/anchor/recommend/get_recommend_anchor_list';
  }

  static admobConfig() {
    return '$host/v1/admob/admobConfig';
  }

  static applovinAddCoin() {
    return '$host/v1/auth/applovinAddCoin';
  }

  static addCoinByShare() {
    return '$host/v2/rtc/addCoinByShare';
  }

  static getCountShareCoin() {
    return '$host/v2/rtc/getCountShareCoin';
  }

  static getRtmToken() {
    return '$host/v3/user/refresh_rtmtoken';
  }

  static getRtcToken() {
    return '$host/v3/user/refresh_rtctoken';
  }

  //room直播v3接口
  static livePostCreate() {
    return '$host/v3/newLive/room/createLive';
  }

  static livePostStopLive() {
    return '$host/v3/newLive/room/stopLive';
  }

  static livePostAgreeForMike() {
    return '$host/v3/newLive/room/agreeForMike';
  }

  static livePostApplyForMike() {
    return '$host/v3/newLive/room/applyForMike';
  }

  static livePostCancelMike() {
    return '$host/v3/newLive/room/cancelMike';
  }

  static livePostUserDownMike() {
    return '$host/v3/newLive/room/userDownMike';
  }

  static livePostExitRoom() {
    return '$host/v3/newLive/room/exitRoom';
  }

  static livePostJoinRoom() {
    return '$host/v3/newLive/room/joinRoom';
  }

  static livePostUserOnMike() {
    return '$host/v3/newLive/room/userOnMike';
  }

  static livePostRoomUserList() {
    return '$host/v3/newLive/room/roomUserList';
  }

  static livePostMute() {
    return '$host/v3/newLive/room/mute';
  }

  static livePostSetVoice() {
    return '$host/v3/newLive/room/setVoice';
  }

  static livePostIsOnRoom() {
    return '$host/v3/newLive/room/isOnRoom';
  }

  static livePostLiveList() {
    return '$host/v3/newLive/room/liveList';
  }

  static livePostLiveEdit() {
    return '$host/v3/newLive/room/liveEdit';
  }

  static livePostUnlockRoom() {
    return '$host/v3/newLive/room/unlockRoom';
  }

  static liveGetLastRoomInfo() {
    return '$host/v3/newLive/room/getLastRoomInfo';
  }

  static liveGetRoomInfo() {
    return '$host/v3/newLive/room/roomInfo';
  }

  static liveGetMasterDownMike() {
    return '$host/v3/newLive/room/downMike';
  }

  static liveGetMasterOnMike() {
    return '$host/v3/newLive/room/onMike';
  }

  static liveGetUserInfo() {
    return '$host/v3/newLive/user/userInfo';
  }

  static livePostFlushMike() {
    return '$host/v3/newLive/room/flushMike';
  }

  static livePostRefuseConnect() {
    return '$host/v3/newLive/room/refuseConnect';
  }

  static livePostInvite() {
    return '$host/v3/newLive/room/invite';
  }

  static livePostDownSeat() {
    return '$host/v3/newLive/room/downSeat';
  }

  //user
  static livePostCareUser() {
    return '$host/v3/newLive/user/careUser';
  }

  static livePostBlockUser() {
    return '$host/v3/newLive/user/blockUser';
  }

  static livePostCareRoom() {
    return '$host/v3/newLive/user/careRoom';
  }

  static livePostApplyList() {
    return "$host/v3/newLive/room/applyList";
  }

  static livePostBlockUserList() {
    return "$host/v3/newLive/user/blockUserList";
  }

  static livePostCareUserList() {
    return "$host/v3/newLive/user/careUserList";
  }

  static livePostFileSuccess() {
    return "$host/v3/file/upload_success";
  }

  static livePostFileUpload() {
    return "$host/v3/file/upload";
  }

  static livePostSendGift() {
    return "$host/v3/newLive/gift/give_gift";
  }

  ///用户体系获取头像列表
  static getUserSystemHeadList() {
    return "$host/v3/head/list";
  }

  ///用户体系获取设置
  static getUserSystemSetHead() {
    return "$host/v3/head/setHeadFrame";
  }

  ///用户体系解锁头像
  static getUserSystemUnlockHead() {
    return "$host/v3/head/unlockHeadFrame";
  }

  ///用户体系进场特效列表
  static getUserSystemIncomeStateList() {
    return "$host/v3/income/incomeStateList";
  }

  ///用户体系设置进场特效
  static postUserSystemSetIncomeState() {
    return "$host/v3/income/setIncomeState";
  }

  ///用户体系解锁进场特效
  static postUserSystemUnlockIncomeState() {
    return "$host/v3/income/unlockIncomeState";
  }

  ///用户体系设置成就详情
  static postUserSystemAchieveInfo() {
    return "$host/v3/achieve/achieveInfo";
  }

  ///用户体系成就列表
  static getUserSystemAchieveList() {
    return "$host/v3/achieve/achieveList";
  }

  ///用户体系获取可设置成就列表
  static postUserSystemAchieveShowList() {
    return "$host/v3/achieve/achieveShowList";
  }

  ///用户体系设置成就
  static postUserSystemSetAchieve() {
    return "$host/v3/achieve/setAchieve";
  }

  ///取消设置徽章
  static postUserSystemCancelAchieve() {
    return "$host/v3/achieve/cancelAchieve";
  }

  ///主播邀请列表
  static postAnchorInviteList() {
    return "$host/v3/newLive/user/inviteList";
  }

  ///邀请主播
  static postAnchorInviteOther() {
    return "$host/v3/newLive/user/inviteOther";
  }

  ///（不）同意邀请
  static postAnchorAnswerInvite() {
    return "$host/v3/newLive/user/answerInvite";
  }

  /// 获取用户成就信息
  static getUserAchieves() {
    return "$host/v3/user/getAchieves";
  }

  /// 用户加入直播间成功
  static joinChatroom() {
    return "$host/v3/newLive/room/joinChatroom";
  }

  /// 每日经验值详情
  static getUserLevelExpList() {
    return "$host/v3/level/expList";
  }

  /// 等级列表
  static getUserLevelList() {
    return "$host/v3/level/list";
  }

  /// 解锁等级奖励
  static userLevelUnlockLevel() {
    return "$host/v3/level/unlockLevel";
  }

  /// 积分兑换
  static userIntegralExchange() {
    return "$host/v3/integral/exchange";
  }

  /// 获取兑换列表
  static userIntegralExchangeList() {
    return "$host/v3/integral/exchangeList";
  }

  ///用户积分
  static getUserIntegralInfo() {
    return "$host/v3/integral/info";
  }

  /// 积分抽奖
  static getUserIntegralLottery() {
    return "$host/v3/integral/lottery";
  }

  /// 获取抽奖列表
  static userIntegralLuckyList() {
    return "$host/v3/integral/luckyList";
  }

  /// 积分兑换历史
  static userPointExchangeHistoryList() {
    return "$host/v3/integral/exchangeHistoryList";
  }

  /// 积分抽奖历史
  static userPointLotteryHistoryList() {
    return "$host/v3/integral/lotteryHistoryList";
  }

  /// 日任务
  static getTaskDailyTask() {
    return "$host/v3/task/web/dailyTask";
  }

  /// 月历史记录
  static getTaskMonthHistory() {
    return "$host/v3/task/web/monthHistory";
  }

  /// 月任务
  static getTaskMonthTask() {
    return "$host/v3/task/web/monthTask";
  }

  /// 领取奖励
  static getTaskReceiveAward() {
    return "$host/v3/task/web/receiveAward";
  }

  /// 周任务
  static getTaskWeekTask() {
    return "$host/v3/task/web/weekTask";
  }

  /// 任务
  static getTaskGetTask() {
    return "$host/v3/task/getTask";
  }

  /// 领取任务
  static taskReceiveTask() {
    return "$host/v3/task/receiveTask";
  }

  ///获取积分规则说明
  static getUserPointIntegralRule() {
    return "$host/v3/integral/getIntegralRule";
  }

  ///分享成功上报
  static getUserShareSuccess() {
    return "$host/v3/user/share_status";
  }

  ///获取免费消息
  static freeMessageNum() {
    return "$host/v2/backpack/msgNum";
  }
}
