import 'package:connectivity/connectivity.dart';
import 'package:dio/dio.dart';

import '../code.dart';
import '../result_data.dart';

///错误拦截
class ErrorInterceptors extends InterceptorsWrapper {
  ErrorInterceptors();

  @override
  onRequest(RequestOptions options, RequestInterceptorHandler handler) async {
    //没有网络
    var connectivityResult = await (Connectivity().checkConnectivity());
    if (connectivityResult == ConnectivityResult.none) {
      return handler.resolve(Response(
          data: ResultData('', false, Code.networkError),
          requestOptions: options));
    }
    return super.onRequest(options, handler);
  }
}
