import 'package:dio/dio.dart';
import 'package:mmoo_base/config/app_config.dart';

///Log 拦截器
class LogsInterceptors extends InterceptorsWrapper {
  @override
  onRequest(RequestOptions options, RequestInterceptorHandler handler) async {
    AppConfig.printLog('请求url: ${options.path}');
    AppConfig.printLog('请求头: ' + options.headers.toString());
    if (options.data != null) {
      AppConfig.printLog('请求参数: ' + options.data.toString());
    }
    return super.onRequest(options, handler);
  }

  @override
  onResponse(Response response, ResponseInterceptorHandler handler) async {
    AppConfig.printLog('返回参数: ' + response.toString());
    return super.onResponse(response, handler);
  }

  @override
  onError(DioError err, ErrorInterceptorHandler handler) async {
    AppConfig.printLog('请求异常: ' + err.toString());
    AppConfig.printLog('请求异常信息: ' + (err.response ?? '').toString());
    return super.onError(err, handler);
  }
}
