import 'dart:convert';

import 'package:dio/dio.dart';
import 'package:mmoo_base/config/app_config.dart';

import '../code.dart';
import '../result_data.dart';

///Response拦截器
class ResponseInterceptors extends InterceptorsWrapper {
  @override
  onResponse(Response response, ResponseInterceptorHandler handler) async {
    try {
      if (response.data is String && response.data[0] == '{') {
        try {
          response.data = jsonDecode(response.data);
        } catch (err) {
          AppConfig.printLog(err);
        }
      }
      if (response.statusCode == 200 || response.statusCode == 201) {
        response.data = ResultData(response.data, true, Code.success,
            headers: response.headers);
      }
    } catch (e) {
      AppConfig.printLog(e.toString() + response.requestOptions.path);
      response.data = ResultData(response.data, false, response.statusCode,
          headers: response.headers);
    }
    return super.onResponse(response, handler);
  }
}
