import 'package:mmoo_base/generated/json/anchor_entity.g.dart';
import 'package:mmoo_base/generated/json/base/json_field.dart';

@JsonSerializable()
class AnchorEntity {
  AnchorEntity();

  factory AnchorEntity.fromJson(Map<String, dynamic> json) =>
      $AnchorEntityFromJson(json);

  Map<String, dynamic> toJson() => $AnchorEntityToJson(this);

  List<AnchorGift>? gift;
  String? country;
  String? cost;
  String? signature;
  List<AnchorLabelNum>? labelNum;
  String? headImage;
  List<String>? language;
  List<AnchorPic>? pic;
  List<AnchorEntityAchieves>? achieves;
  String? down;
  String? answerRate;
  String? nickname;
  String? online;
  String? isCare;
  String? shareUrl;
  String? id;
  String? up;
  String? age;
  String? birthday;
  String? followNum;
  String? gender;
  List<String>? anchorLabel;
  String? videoId;
  String? videoPic;
  bool? localData;
  int? sort;
  int? ab; //0审核1非审核
  int? userVideoId;
  int? toy;
  int? toyCost;

  String getLanguageStr() {
    if (language != null && language!.isNotEmpty) {
      String str = language.toString();
      if (str.contains('[') || str.contains(']')) {
        str = str.replaceAll('[', '').replaceAll(']', '');
      }
      return str;
    } else {
      return '';
    }
  }

  String getAgeYear() {
    try {
      return ', ${DateTime.now().year - DateTime.parse(age ?? birthday!).year}';
    } catch (e) {
      return '';
    }
  }

  List<AnchorLabelNum> getGoodLabelNum() {
    List<AnchorLabelNum> list = [];
    if (labelNum != null) {
      for (AnchorLabelNum item in labelNum!) {
        if (item.type == '0') {
          list.add(item);
        }
      }
    }
    return list;
  }

  AnchorEntity.call(this.nickname, this.headImage,
      {this.online, this.cost, this.age, this.toy, this.toyCost});
}

@JsonSerializable()
class AnchorGift {
  AnchorGift();

  factory AnchorGift.fromJson(Map<String, dynamic> json) =>
      $AnchorGiftFromJson(json);

  Map<String, dynamic> toJson() => $AnchorGiftToJson(this);

  String? num;
  String? name;
  String? id;
  String? pic;
  String? grayPic;
}

@JsonSerializable()
class AnchorLabelNum {
  AnchorLabelNum();

  factory AnchorLabelNum.fromJson(Map<String, dynamic> json) =>
      $AnchorLabelNumFromJson(json);

  Map<String, dynamic> toJson() => $AnchorLabelNumToJson(this);

  String? num;
  String? type;
  String? value;
}

@JsonSerializable()
class AnchorLabel {
  AnchorLabel();

  factory AnchorLabel.fromJson(Map<String, dynamic> json) =>
      $AnchorLabelFromJson(json);

  Map<String, dynamic> toJson() => $AnchorLabelToJson(this);

  String? headImage;
  String? name;
  String? type;
  List<String>? value;
}

@JsonSerializable()
class AnchorPic {
  factory AnchorPic.fromJson(Map<String, dynamic> json) =>
      $AnchorPicFromJson(json);

  Map<String, dynamic> toJson() => $AnchorPicToJson(this);

  String? cover;
  String? picId;
  String? url;

  AnchorPic({this.cover, this.picId, this.url});
}

@JsonSerializable()
class AnchorEntityAchieves {
  factory AnchorEntityAchieves.fromJson(Map<String, dynamic> json) =>
      $AnchorEntityAchievesFromJson(json);

  Map<String, dynamic> toJson() => $AnchorEntityAchievesToJson(this);

  int? serialNum;
  String? name;
  String? icon;
  String? iconJson;

  AnchorEntityAchieves({this.serialNum, this.name, this.icon, this.iconJson});
}
