import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/level_sys_point_info_entity.g.dart';

@JsonSerializable()
class LevelSysPointInfoEntity {
  int? balanceNum;
  List<LevelSysPointInfoExchangeList>? exchangeList;
  int? lotteryNum;
  List<LevelSysPointInfoLuckyMsg>? luckyMsg;
  int? wilExpireNum;

  LevelSysPointInfoEntity();

  factory LevelSysPointInfoEntity.fromJson(Map<String, dynamic> json) =>
      $LevelSysPointInfoEntityFromJson(json);

  Map<String, dynamic> toJson() => $LevelSysPointInfoEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class LevelSysPointInfoExchangeList {
  int? canExchange;
  int? convertId;
  String? award;
  String? icon;
  String? name;
  int? num;
  int? spendNum;

  LevelSysPointInfoExchangeList();

  factory LevelSysPointInfoExchangeList.fromJson(Map<String, dynamic> json) =>
      $LevelSysPointInfoExchangeListFromJson(json);

  Map<String, dynamic> toJson() => $LevelSysPointInfoExchangeListToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class LevelSysPointInfoLuckyMsg {
  String? image;
  String? msg;
  String? name;

  LevelSysPointInfoLuckyMsg();

  factory LevelSysPointInfoLuckyMsg.fromJson(Map<String, dynamic> json) =>
      $LevelSysPointInfoLuckyMsgFromJson(json);

  Map<String, dynamic> toJson() => $LevelSysPointInfoLuckyMsgToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
