import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/live_lists_info_entity.g.dart';

@JsonSerializable()
class LiveListsInfoEntity {
  int? num;
  List<LiveListsInfoRows>? rows;
  int? size;

  LiveListsInfoEntity();

  factory LiveListsInfoEntity.fromJson(Map<String, dynamic> json) =>
      $LiveListsInfoEntityFromJson(json);

  Map<String, dynamic> toJson() => $LiveListsInfoEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class LiveListsInfoRows {
  String? country;
  String? cover;
  String? headImage;
  int? isUnlock;
  String? language;
  int? liveId;
  String? liveNotice;
  String? nickname;
  int? onlineNums;
  String? onlineStatus;
  List<LiveListsInfoRowsPlaceList>? placeList;
  int? price;
  int? roomId;
  int? status;
  int? subNums;
  int? telFlag;
  String? title;
  int? type;
  int? userId;

  LiveListsInfoRows();

  factory LiveListsInfoRows.fromJson(Map<String, dynamic> json) =>
      $LiveListsInfoRowsFromJson(json);

  Map<String, dynamic> toJson() => $LiveListsInfoRowsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class LiveListsInfoRowsPlaceList {
  int? chat;
  String? country;
  int? follow;
  String? headImage;
  int? isHost;
  int? liveId;
  String? nickname;
  int? role;
  int? roomId;
  int? roomPlaceId;
  int? roomUserId;
  int? roomUserStatus;
  int? status;
  int? streamSeq;
  int? telSeq;
  String? title;
  int? type;
  int? userId;
  int? visitNum;
  int? voice;

  LiveListsInfoRowsPlaceList();

  factory LiveListsInfoRowsPlaceList.fromJson(Map<String, dynamic> json) =>
      $LiveListsInfoRowsPlaceListFromJson(json);

  Map<String, dynamic> toJson() => $LiveListsInfoRowsPlaceListToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
