import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/room_entity.g.dart';

@JsonSerializable()
class RoomEntity {
  RoomEntity();

  factory RoomEntity.fromJson(Map<String, dynamic> json) =>
      $RoomEntityFromJson(json);

  Map<String, dynamic> toJson() => $RoomEntityToJson(this);

  List<RoomList>? list;
}

@JsonSerializable()
class RoomList {
  RoomList();

  factory RoomList.fromJson(Map<String, dynamic> json) =>
      $RoomListFromJson(json);

  Map<String, dynamic> toJson() => $RoomListToJson(this);

  String? cover;
  String? liveNotice;
  int? id;
  String? label;
  String? language;
  String? rid;
  String? roomName;

  //房间查询信息
  String? size;
  String? playName;

  //创建人
  String? nickname;
  String? headImage;
  String? birthday;
  String? gender;
  String? follow;

  String getAgeYear() {
    try {
      return ', ${DateTime.now().year - DateTime.parse(birthday!).year}';
    } catch (e) {
      return '';
    }
  }
}
