class UserBadgeEntity {
  List<UserBadgeAchListEntity>? achList;
  List<UserBadgeAchListEntity>? honorList;
  List<UserBadgeAchListEntity>? showAchs;

  UserBadgeEntity({this.achList, this.honorList, this.showAchs});

  factory UserBadgeEntity.fromJson(Map<String, dynamic> json) {
    return UserBadgeEntity(
      achList: (json['achList'] as List<dynamic>?)
          ?.map(
              (e) => UserBadgeAchListEntity.fromJson(e as Map<String, dynamic>))
          .toList(),
      honorList: (json['honorList'] as List<dynamic>?)
          ?.map(
              (e) => UserBadgeAchListEntity.fromJson(e as Map<String, dynamic>))
          .toList(),
      showAchs: (json['showAchs'] as List<dynamic>?)
          ?.map(
              (e) => UserBadgeAchListEntity.fromJson(e as Map<String, dynamic>))
          .toList(),
    );
  }

  Map<String, dynamic> toJson() => {
        'achList': achList?.map((e) => e.toJson()).toList(),
        'honorList': honorList?.map((e) => e.toJson()).toList(),
        'showAchs': showAchs?.map((e) => e.toJson()).toList(),
      };
}

class UserBadgeAchListEntity {
  String? icon;
  String? iconJson;
  String? name;
  int? serialNum;
  int? times;
  String? type;
  String? desc;
  List<UserBadgeAchListEntity>? achList;

  UserBadgeAchListEntity({
    this.icon,
    this.iconJson,
    this.name,
    this.serialNum,
    this.times,
    this.type,
    this.desc,
    this.achList,
  });

  factory UserBadgeAchListEntity.fromJson(Map<String, dynamic> json) =>
      UserBadgeAchListEntity(
        icon: json['icon'] as String?,
        iconJson: json['iconJson'] as String?,
        name: json['name'] as String?,
        serialNum: json['serialNum'] as int?,
        times: json['times'] as int?,
        type: json['type'] as String?,
        desc: json['desc'] as String?,
        achList: (json['achList'] as List<dynamic>?)
            ?.map((e) =>
                UserBadgeAchListEntity.fromJson(e as Map<String, dynamic>))
            .toList(),
      );

  Map<String, dynamic> toJson() => {
        'icon': icon,
        'iconJson': iconJson,
        'name': name,
        'serialNum': serialNum,
        'times': times,
        'type': type,
        'desc': desc,
        'achList': achList?.map((e) => e.toJson()).toList(),
      };
}
