import 'package:mmoo_base/entity/label_entity.dart';
import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/user_entity.g.dart';

@JsonSerializable()
class UserEntity {
  UserEntity();

  factory UserEntity.fromJson(Map<String, dynamic> json) =>
      $UserEntityFromJson(json);

  Map<String, dynamic> toJson() => $UserEntityToJson(this);

  String? flowingCount;
  String? flowerCount;
  String? isAgendHost;
  String? country;
  String? rongToken;
  String? gender;
  String? headImage;
  String? myFriends;
  String? invUrl;
  String? token;
  String? isHost;
  String? money;
  String? newUser;
  String? msgNum; //发送消息条数
  String? name;
  String? disturb;
  String? id;
  String? userType;
  String? invCode;
  String? applyStatus;
  String? age;
  String? email;
  String? desc;
  String? paidUser; //是否是付费用户 0 不是 1 是
  String isVip = '0'; //vip等级 0不是vip 对应vip等级
  String? sendCoins; //送币数量
  String? rtmToken;

  ///userinfo
  String? signature;
  List<UserPic>? pic;
  String? online;
  String? shareUrl;
  List<LabelItem>? label;

  ///other
  bool? localData;
  List? likes;

  int? rechargeCount;
}

@JsonSerializable()
class UserPic {
  UserPic();

  factory UserPic.fromJson(Map<String, dynamic> json) => $UserPicFromJson(json);

  Map<String, dynamic> toJson() => $UserPicToJson(this);

  String? id;
  String? cover;
  String? picId;
  String? url;
}

@JsonSerializable()
class UserOnline {
  UserOnline();

  factory UserOnline.fromJson(Map<String, dynamic> json) =>
      $UserOnlineFromJson(json);

  Map<String, dynamic> toJson() => $UserOnlineToJson(this);

  String? online;
  String? nickname;
  String? headImage;
}
