import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/user_status_entity.g.dart';

@JsonSerializable()
class UserStatusEntity {
  UserStatusEntity();

  factory UserStatusEntity.fromJson(Map<String, dynamic> json) =>
      $UserStatusEntityFromJson(json);

  Map<String, dynamic> toJson() => $UserStatusEntityToJson(this);

  List<UserStatus>? userStatus;
}

@JsonSerializable()
class UserStatus {
  factory UserStatus.fromJson(Map<String, dynamic> json) =>
      $UserStatusFromJson(json);

  Map<String, dynamic> toJson() => $UserStatusToJson(this);

  String? headImage;
  String? nickname;
  String? online;
  String? id;
  String? gender;
  String? birthday;
  String? signature;

  UserStatus({this.headImage, this.nickname, this.id});

  String getAgeYear() {
    try {
      return ', ${DateTime.now().year - DateTime.parse(birthday!).year}';
    } catch (e) {
      return '';
    }
  }
}
