import 'dart:convert';

import 'package:mmoo_base/generated/json/base/json_field.dart';
import 'package:mmoo_base/generated/json/user_sys_achievement_entity.g.dart';

@JsonSerializable()
class UserSysAchievementEntity {
  List<UserSysAchievementAchieves>? achieves;
  UserSysAchievementHeadFrame? headFrame;
  UserSysAchievementIncomeState? incomeState;
  UserSysAchievementLevel? level;

  UserSysAchievementEntity();

  factory UserSysAchievementEntity.fromJson(Map<String, dynamic> json) =>
      $UserSysAchievementEntityFromJson(json);

  Map<String, dynamic> toJson() => $UserSysAchievementEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class UserSysAchievementAchieves {
  String? icon;
  String? iconJson;
  String? name;
  int? serialNum;

  UserSysAchievementAchieves();

  factory UserSysAchievementAchieves.fromJson(Map<String, dynamic> json) =>
      $UserSysAchievementAchievesFromJson(json);

  Map<String, dynamic> toJson() => $UserSysAchievementAchievesToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class UserSysAchievementHeadFrame {
  int? headFrameId;
  String? icon;
  String? iconJson;
  String? name;

  UserSysAchievementHeadFrame();

  factory UserSysAchievementHeadFrame.fromJson(Map<String, dynamic> json) =>
      $UserSysAchievementHeadFrameFromJson(json);

  Map<String, dynamic> toJson() => $UserSysAchievementHeadFrameToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class UserSysAchievementIncomeState {
  String? icon;
  String? iconJson;
  int? incomeStateId;
  String? name;

  UserSysAchievementIncomeState();

  factory UserSysAchievementIncomeState.fromJson(Map<String, dynamic> json) =>
      $UserSysAchievementIncomeStateFromJson(json);

  Map<String, dynamic> toJson() => $UserSysAchievementIncomeStateToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}

@JsonSerializable()
class UserSysAchievementLevel {
  int? exp;
  String? image;
  int? integral;
  int? level;
  int? maxExp;

  UserSysAchievementLevel();

  factory UserSysAchievementLevel.fromJson(Map<String, dynamic> json) =>
      $UserSysAchievementLevelFromJson(json);

  Map<String, dynamic> toJson() => $UserSysAchievementLevelToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
