import 'package:flutter/foundation.dart';
import 'package:mmoo_base/entity/user_entity.dart';

class UserProvider extends ChangeNotifier {
  late UserEntity userEntity;

  void setUserEntity(UserEntity userEntity) {
    this.userEntity = userEntity;
    super.notifyListeners();
  }

  void setUserMoney(String? money) {
    if (money?.isEmpty == false) {
      if (int.parse(money ?? '0') > int.parse(userEntity.money ?? '0')) {
        userEntity.paidUser = '1';
      }
      userEntity.money = money;
      super.notifyListeners();
    }
  }

  void refresh() {
    super.notifyListeners();
  }
}
