import 'package:flutter/material.dart';

///小到大，最后消失
class Fade5Widget extends StatefulWidget {
  final Widget? child;
  final bool show;

  const Fade5Widget({Key? key, this.child, this.show = false})
      : super(key: key);

  @override
  _Fade5WidgetState createState() => _Fade5WidgetState();
}

class _Fade5WidgetState extends State<Fade5Widget>
    with SingleTickerProviderStateMixin {
  late AnimationController _controllerFade;
  late Animation _animationFade;

  @override
  void initState() {
    _controllerFade = AnimationController(
        vsync: this, duration: const Duration(milliseconds: 500));
    _animationFade = Tween(begin: 1.0, end: 0.5).animate(
        CurvedAnimation(parent: _controllerFade, curve: Curves.linear));
    if (widget.show) {
      _controllerFade.repeat(reverse: true);
    }
    super.initState();
  }

  @override
  void didUpdateWidget(Fade5Widget oldWidget) {
    super.didUpdateWidget(oldWidget);
    if (widget.show &&
        !oldWidget.show &&
        _controllerFade.status == AnimationStatus.dismissed) {
      _controllerFade.repeat(reverse: true);
    }
  }

  @override
  void dispose() {
    _controllerFade.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return FadeTransition(
        opacity: _animationFade as Animation<double>, child: widget.child);
  }
}
