import 'package:flutter/material.dart';

// 隐藏显示 局部刷新 渐变
class OpacityWidget extends StatefulWidget {
  final double opacity;
  final Widget child;

  const OpacityWidget(Key key, this.opacity, this.child) : super(key: key);

  @override
  State<OpacityWidget> createState() => OpacityWidgetState();
}

class OpacityWidgetState extends State<OpacityWidget> {
  double opacity = 0.0;

  @override
  void initState() {
    super.initState();
    opacity = widget.opacity;
  }

  void onSetState(double opacity) {
    if (opacity >= 0 && opacity <= 1) {
      this.opacity = opacity;
      if (!mounted) {
        return;
      }
      setState(() {});
    }
  }

  @override
  Widget build(BuildContext context) {
    return Opacity(
      opacity: opacity,
      child: widget.child,
    );
  }
}
