import 'package:flutter/material.dart';

// 封装的文本组件Widget
class SwitcherFadeWidget extends StatefulWidget {
  final Widget child;

  const SwitcherFadeWidget(this.child, {Key? key}) : super(key: key);

  @override
  State<SwitcherFadeWidget> createState() => SwitcherFadeWidgetState();
}

class SwitcherFadeWidgetState extends State<SwitcherFadeWidget> {
  Widget? child;

  @override
  void initState() {
    super.initState();
    child = widget.child;
  }

  void onSetState(Widget child) {
    this.child = child;
    setState(() {});
  }

  @override
  Widget build(BuildContext context) {
    return AnimatedSwitcher(
        duration: const Duration(milliseconds: 500),
        switchInCurve: Curves.easeIn,
        switchOutCurve: Curves.easeOut,
        transitionBuilder: (Widget child, Animation<double> animation) {
          return FadeTransition(opacity: animation, child: child);
        },
        child: child);
  }
}
