import 'package:flutter/material.dart';

// 封装的文本组件Widget 局部刷新
class SwitcherTextWidget extends StatefulWidget {
  final int? currentRate;
  final TextStyle style;
  final TextStyle bigStyle;

  const SwitcherTextWidget(
      Key? key, this.style, this.bigStyle, this.currentRate)
      : super(key: key);

  @override
  State<SwitcherTextWidget> createState() => SwitcherTextWidgetState();
}

class SwitcherTextWidgetState extends State<SwitcherTextWidget> {
  int? currentRate = 0;

  @override
  void initState() {
    super.initState();
    currentRate = widget.currentRate;
  }

  void onSetState(int? currentRate) {
    this.currentRate = currentRate;
    setState(() {});
  }

  @override
  Widget build(BuildContext context) {
    return AnimatedSwitcher(
        duration: const Duration(milliseconds: 500),
        transitionBuilder: (Widget child, Animation<double> animation) {
          return ScaleTransition(
              scale: animation,
              child: FadeTransition(opacity: animation, child: child));
        },
        child: Text(
          '$currentRate',
          key: ValueKey<int?>(currentRate),
          style: currentRate! > 9 ? widget.style : widget.bigStyle,
          textAlign: TextAlign.center,
        ));
  }
}
