import 'package:flutter/material.dart';

// 隐藏显示 局部刷新
class VisibleWidget extends StatefulWidget {
  final bool show;
  final Widget child;

  const VisibleWidget(Key key, this.show, this.child) : super(key: key);

  @override
  State<VisibleWidget> createState() => VisibleWidgetState();
}

class VisibleWidgetState extends State<VisibleWidget> {
  bool show = false;
  late Widget child;

  @override
  void initState() {
    super.initState();
    show = widget.show;
    child = widget.child;
  }

  void onSetState(bool show, {Widget? child}) {
    if (this.show != show) {
      this.show = show;
      if (child != null) {
        this.child = child;
      }
      if (!mounted) {
        return;
      }
      setState(() {});
    }
  }

  @override
  Widget build(BuildContext context) {
    return Visibility(
      visible: show,
      child: child,
    );
  }
}
