import 'dart:async';

import 'package:flutter/material.dart';

///层叠动画
class StackWidget extends StatefulWidget {
  const StackWidget(Key key) : super(key: key);

  @override
  StackWidgetState createState() => StackWidgetState();
}

class StackWidgetState extends State<StackWidget> {
  List<Widget> list = [];
  Timer? timer;

  bool have() {
    return list.isNotEmpty;
  }

  void addWidget(Widget child) {
    if (list.length > 3) {
      list.removeAt(0);
    }
    list.add(child);
    setState(() {});
    timer?.cancel();
    timer = Timer(const Duration(seconds: 3), () {
      if (!mounted) return;
      list.clear();
      setState(() {});
    });
  }

  @override
  void dispose() {
    timer?.cancel();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Stack(
      alignment: Alignment.center,
      children: list,
    );
  }
}
