import 'package:flutter/material.dart';

///小到大，最后消失
class ZoomInWidget extends StatefulWidget {
  final Widget? child;

  const ZoomInWidget({Key? key, this.child}) : super(key: key);

  @override
  _ZoomInWidgetState createState() => _ZoomInWidgetState();
}

class _ZoomInWidgetState extends State<ZoomInWidget>
    with TickerProviderStateMixin {
  AnimationController? _controller;
  late Animation _animation;
  late AnimationController _controllerFade;
  late Animation _animationFade;
  bool fade = false;

  @override
  void initState() {
    _controller =
        AnimationController(vsync: this, duration: const Duration(seconds: 3));
    _animation = Tween(begin: 0.0, end: 1.0).animate(
        CurvedAnimation(parent: _controller!, curve: Curves.easeOutBack))
      ..addListener(() {
        if (!mounted) return;
        if (_controller!.value > 0.5 && !fade) {
          fade = true;
          _controllerFade.forward();
        }
      });
    _controllerFade =
        AnimationController(vsync: this, duration: const Duration(seconds: 1));
    _animationFade = Tween(begin: 1.0, end: 0.0).animate(
        CurvedAnimation(parent: _controllerFade, curve: Curves.linear));
    _controller!.forward();
    super.initState();
  }

  @override
  void dispose() {
    _controller?.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return ScaleTransition(
        scale: _animation as Animation<double>,
        child: FadeTransition(
            opacity: _animationFade as Animation<double>, child: widget.child));
  }
}
