import 'package:country_pickers/countries.dart';
import 'package:country_pickers/country.dart';
import 'package:flutter/widgets.dart';

class CountryPickerUtils {
  static Country? getCountryByIso3Code(String? iso3Code) {
    try {
      return countryList.firstWhere(
        (country) => country.iso3Code.toLowerCase() == iso3Code?.toLowerCase(),
      );
    } catch (error) {
      return null;
    }
  }

  static Country? getCountryByIsoCode(String? isoCode) {
    try {
      return countryList.firstWhere(
        (country) => country.isoCode.toLowerCase() == isoCode?.toLowerCase(),
      );
    } catch (error) {
      return null;
    }
  }

  static Country? getCountryByName(String? name) {
    try {
      return countryList.firstWhere(
        (country) => country.name.toLowerCase() == name?.toLowerCase(),
      );
    } catch (error) {
      return null;
    }
  }

  static String getFlagImageAssetPath(String? isoCode) {
    if (isoCode?.isEmpty == false) {
      return "assets/${isoCode!.toLowerCase()}.png";
    } else {
      return "";
    }
  }

  static Widget getDefaultFlagImage(Country? country) {
    if (country != null) {
      return Image.asset(
        CountryPickerUtils.getFlagImageAssetPath(country.isoCode),
        height: 20.0,
        width: 30.0,
        fit: BoxFit.fill,
        package: "country_pickers",
      );
    }
    return Container();
  }

  static Country? getCountryByPhoneCode(String? phoneCode) {
    try {
      return countryList.firstWhere(
        (country) =>
            country.phoneCode.toLowerCase() == phoneCode?.toLowerCase(),
      );
    } catch (error) {
      return null;
    }
  }
}
